
%define qtmajor 5
%define qtminor 6
%define qtsubminor 1

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtx11extras %mklibname qt5x11extras %qtmajor
%define libqtx11extras_d %mklibname qt5x11extras -d
%define libqtx11extras_p_d %mklibname qt5x11extras-private  -d

%define qttarballdir qtx11extras-opensource-src-%{qtversion}

Name: qtx11extras5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5gui-private-devel >= %version
BuildRequires: qt5widgets-private-devel >= %version
#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
Provides specific APIs for X11

#------------------------------------------------------------------------------

%package -n %{libqtx11extras}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}qtx11extras5
Provides:  %{_lib}qtx11extras5 = %version

%description -n %{libqtx11extras}
Qt%{qtmajor} Component Library.


%files -n %{libqtx11extras}
%{_qt5_libdir}/libQt5X11Extras.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtx11extras_d}
Summary: Devel files needed to build apps based on QtX11Extras
Group:    Development/Libraries
Requires: %{libqtx11extras} = %version
Provides: libqtx11extras5-devel = %version
Provides: libqt5x11extras-devel = %version
Provides: qtx11extras5-devel = %version
Provides: qt5x11extras-devel = %version

%description -n %{libqtx11extras_d}
Devel files needed to build apps based on QtX11Extras.

%files -n %{libqtx11extras_d}
%{_qt5_includedir}/QtX11Extras
%{_qt5_libdir}/cmake/Qt5X11Extras
%{_qt5_libdir}/libQt5X11Extras.prl
%{_qt5_libdir}/libQt5X11Extras.so
%{_qt5_libdir}/pkgconfig/Qt5X11Extras.pc
%{_qt5_datadir}/mkspecs/modules/qt_lib_x11extras.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_x11extras_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
